<?php
date_default_timezone_set('America/Los_Angeles');
$date = date("Y-m-d");
include_once("class/lib.php");
include_once("class/funtion.php");

$uid = $_SESSION['user'];
$uname = $_SESSION['name'];
$utype = $_SESSION['team'];

$area = $_SESSION['area'];
$level = $_SESSION['level'];
$team = $_SESSION['team'];
$group = $_SESSION['group'];

$area_opt_view = !empty($_SESSION['area_opt_view']) ? "'" . $_SESSION['area_opt_view'] . "'" : "";
$area_opt_report = !empty($_SESSION['area_opt_report']) ? "'" . $_SESSION['area_opt_report'] . "'" : "";
$area_opt_comment = !empty($_SESSION['area_opt_comment']) ? "'" . $_SESSION['area_opt_comment'] . "'" : "";
$area_opt_mileage = !empty($_SESSION['area_opt_mileage']) ? "'" . $_SESSION['area_opt_mileage'] . "'" : "";
$area_opt_down = !empty($_SESSION['area_opt_down']) ? "'" . $_SESSION['area_opt_down'] . "'" : "";
$area_opt_approve = !empty($_SESSION['area_opt_approve']) ? "'" . $_SESSION['area_opt_approve'] . "'" : "";

if (!$uid) {
	header("location: login.php");
	exit;
}

if ($signout) {
	session_unset();
	header("location: login.php");
}


// set base opt
$xVIW = '';
$CMT = '';
$xME = '';
$xMD = '';
$xWT = '';
$xRE = '';
$xDEL = '';
$xnotwte = '';
//1.view opt - area
if (!empty($area_opt_view)) {
	if ($level == '팀장') {
		$op1 = "and u.opt1 in ($area_opt_view) and u.opt3='$team'";
	} else if ($level == '영업부팀장') {
		$op1 = "and u.opt1 in ($area_opt_view) and u.opt3='$team' and u.opt2<>'팀장'";
	} else {
		$op1 = "and u.opt1 in ($area_opt_view)";
	}
	$xME = '1';
}

// 2. report opt(w/u)- area
if (!empty($area_opt_report)) {
	if (substr($group, 0, 1) == 'D' || substr($group, 0, 1) == 'X') {
		$xRE = '1';
	}

}

// 3. comment opt - area
if (!empty($area_opt_comment)) {
	if ($level == '팀장') {
		$mopt = "u.opt1 in ($area_opt_comment) and u.opt3='$team' ";
	} else if ($level == '영업부팀장') {
		$mopt = "u.opt1 in ($area_opt_comment) and u.opt3='$team' and m.cid = '$uid' ";
	} else {
		$mopt = "u.opt1 in ($area_opt_comment)";
	}
	$CMT = '1';
}

// 4. mileage  opt - area
if (!empty($area_opt_mileage)) {
	if ($level == '팀장') {
		$op1 = "and u.opt1 in ($area_opt_mileage) and u.opt3='$team' ";
	} else if ($level == '영업부팀장') {
		$op1 = "and u.opt1 in ($area_opt_mileage) and u.opt3='$team' and u.opt2<>'팀장'";
	} else {
		$op1 = "and u.opt1 in ($area_opt_mileage)";
	}

}

// 5. mileage down  opt - area
if (!empty($area_opt_down)) {
	$xMD = '1';
}


//6. authority opt -area
if (!empty($area_opt_approve)) {
	$xWT = '1';
}

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <meta name="description" content=""/>
    <meta name="author" content=""/>
    <link rel="icon" href="favicon.ico"/>

    <title>Coway Date Admin</title>

    <!-- Bootstrap core CSS -->
    <link href="css/bootstrap.min.css" rel="stylesheet"/>
    <link href="css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
    <link rel="stylesheet" href="//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css"/>

    <link rel="stylesheet" href="docsupport/chosen.css"/>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <link href="css/ie10-viewport-bug-workaround.css" rel="stylesheet"/>

    <link rel="stylesheet" href="css/font-awesome.css"/>
    <link rel="stylesheet" href="css/mycss.css"/>
    <link rel="stylesheet" href="css/main.css"/>

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->

    <!-- Bootstrap core JavaScript================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="js/jquery-1.10.2.js"></script>
    <script src="js/jquery-ui.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="uboard/uboard.js" type="text/javascript"></script>
    <!--[if IE 9]>
    <script src="//cdnjs.cloudflare.com/ajax/libs/classlist/2014.01.31/classList.min.js"></script>
    <![endif]-->
</head>
<body>
<?php include 'navi.php'; ?>

<?php
if ($ms) include 'doc/' . $ms . '.php';
else include 'doc/report.php';
?>

<script>
    $(function () {
        $('[data-toggle="tooltip"]').tooltip()

        $("#datepicker").datepicker({dateFormat: "yy-mm-dd"}).val()

        $("#groups").on("change", function (e) {
            var val = $(this).val();
            var select = $('#sub_groups2')
            select.empty();
            switch (val) {
                case 'CL1':
                    var selections = [{value: '', text: 'All'}, {value: 'CL1-1', text: 'CL1-1'}, {value: 'CL1-2', text: 'CL1-2'}, {value: 'CL1-3', text: 'CL1-3'}, {value: 'CL1-4', text: 'CL1-4'}];
                    for (let i = 0; i < selections.length; i++) {
                        select.append('<option value="' + selections[i]['value'] + '">' + selections[i]['text'] + '</option>');
                    }
                    break;
                case 'CL2':
                    var selections = [{value: '', text: 'All'}, {value: 'CL2-1', text: 'CL2-1'}, {value: 'CL2-2', text: 'CL2-2'}, {value: 'CL2-3', text: 'CL2-3'}, {value: 'CL2-4', text: 'CL2-4'}];
                    for (let i = 0; i < selections.length; i++) {
                        select.append('<option value="' + selections[i]['value'] + '">' + selections[i]['text'] + '</option>');
                    }
                    break;
                case 'CL3':
                    var selections = [{value: '', text: 'All'}, {value: 'CL3-1', text: 'CL3-1'}, {value: 'CL3-2', text: 'CL3-2'}, {value: 'CL3-3', text: 'CL3-3'}, {value: 'CL3-4', text: 'CL3-4'}];
                    for (let i = 0; i < selections.length; i++) {
                        select.append('<option value="' + selections[i]['value'] + '">' + selections[i]['text'] + '</option>');
                    }
                    break;
                default:
                    var selections = [{value: '', text: 'All'}];
                    for (let i = 0; i < selections.length; i++) {
                        select.append('<option value="' + selections[i]['value'] + '">' + selections[i]['text'] + '</option>');
                    }
                    break;
            }
        })
    })
</script>
</body>
</html>
